yp_match
yp_order
YP/NIS Functions
PHP Manual

# yp_next

Returns the next key-value pair in the named map

### Description

array yp_next ( string `$domain` , string `$map` , string `$key` )

Returns the next key-value pair in the named `map` after the specified `key`.

### Parameters

`domain`

`map`

`key`

### Return Values

Returns the next key-value pair as an array, or `FALSE` on errors.

### Examples

Example #1 Example for NIS next

`<?php
$entry = yp_next($domain, "passwd.byname", "joe");
if (!$entry) {
echo "No more entries found\n";
echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->";
}
$key = key($entry);
echo "The next entry after joe has key " . $key
. " and value " . $entry[$key];
?>`

### See Also

- yp_first
- yp_get_default_domain